Enable a flow for a specific consumer
curl --request POST \
--url https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/flows/{flowid}/enable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integrationids": [],
"triggerid": "trigger-1",
"cronschedule": "<string>",
"data": {}
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/flows/{flowid}/enable"
payload = {
"integrationids": [],
"triggerid": "trigger-1",
"cronschedule": "<string>",
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({integrationids: [], triggerid: 'trigger-1', cronschedule: '<string>', data: {}})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/flows/{flowid}/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Impossible to enable the flow as the flow requires configuration fields",
"status": "error"
}{
"message": "The consumer does not exist",
"status": "error"
}{
"message": "Error while validating context data; the field {field_name} does not seem to be of type {field_type}",
"status": "error"
}Syncs
Enable a flow for a specific consumer
Route that can be used to enable a flow for a specific consumer
POST
/
consumers
/
{consumer_id}
/
syncs
/
{syncid}
/
flows
/
{flowid}
/
enable
Enable a flow for a specific consumer
Authorizations
This access token needs to be included in each of your request to the Chift API.
Path Parameters
Body
application/json
Response
Successful Response
⌘I